## Contents

- Static Methods
- Methods

class solace.SDTField

This class is not exposed for construction by API users.

Represents a SDT (Structured Data Type) field. To create an instance of an `SDTField`, call solace.SDTField.create.

SDTField objects are used in Solace Containers (solace.SDTMapContainer and solace.SDTStreamContainer). The deprecated usage of solace.SDTMapContainer#addField and solace.SDTStreamContainer#addField take a SDTField object as an argument. The preferred usage is to pass a solace.SDTFieldType and value as arguments.

SDTField objectts must be used as an argument to solace.Message#setSdtContainer. The only valid SDTField objects for solace.Message#setSdtContainer are:

- solace.SDTFieldType.STREAM
- solace.SDTFieldType.MAP
- solace.SDTFieldType.STRING

## Constructor Top

| SDTField ( ) |  |

## Static Methods Top

solace.SDTField | create ( solace.SDTFieldType type, * value ) |

## Methods Top

solace.SDTFieldType | getType ( ) |
* | getValue ( ) |

## Constructor details Top

###
SDTField ( )

This class is not exposed for construction by API users.

Represents a SDT (Structured Data Type) field. To create an instance of an `SDTField`, call solace.SDTField.create.

SDTField objects are used in Solace Containers (solace.SDTMapContainer and solace.SDTStreamContainer). The deprecated usage of solace.SDTMapContainer#addField and solace.SDTStreamContainer#addField take a SDTField object as an argument. The preferred usage is to pass a solace.SDTFieldType and value as arguments.

SDTField objectts must be used as an argument to solace.Message#setSdtContainer. The only valid SDTField objects for solace.Message#setSdtContainer are:

- solace.SDTFieldType.STREAM
- solace.SDTFieldType.MAP
- solace.SDTFieldType.STRING

## Static Methods Detail Top

###
static public solace.SDTField create ( solace.SDTFieldType type, * value )

Create a new SDTField instance representing a Value of a given Type.

#### Parameters

solace.SDTFieldType | type The type of field represented.
* | value The corresponding value to store in the field.

#### Return Value

solace.SDTField | The new SDT field with the given type and value

#### Throws

solace.OperationError | if value does not match type

## Methods Detail Top

###
public solace.SDTFieldType getType ( )

Gets the type of field represented.

#### Return Value

solace.SDTFieldType | The type of field represented.

###
public * getValue ( )

Gets the field value.

#### Return Value

* | Field value (as one of the supported data types).

#### Throws

solace.SDTUnsupportedValueError | if value found in the field is not in range supported by the platform/runtime.